com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable.HwLabelN431x

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable.HwLabelN431x

- Enclosing class:
    BarcodeScannerSymbologyTable

      public final class BarcodeScannerSymbologyTable.HwLabelN431x
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `N431X_AUSTRALIAN_POST`
    `static java.lang.String` | `N431X_BRITISH_POST`
    `static java.lang.String` | `N431X_CANADIAN_POST`
    `static java.lang.String` | `N431X_CHINA_POST`
    `static java.lang.String` | `N431X_CHINAPOST`
    `static java.lang.String` | `N431X_CODABAR`
    `static java.lang.String` | `N431X_CODE11`
    `static java.lang.String` | `N431X_CODE128`
    `static java.lang.String` | `N431X_CODE32`
    `static java.lang.String` | `N431X_CODE39`
    `static java.lang.String` | `N431X_CODE93`
    `static java.lang.String` | `N431X_EAN13`
    `static java.lang.String` | `N431X_EAN8`
    `static java.lang.String` | `N431X_GS1128`
    `static java.lang.String` | `N431X_GS1DATABAR`
    `static java.lang.String` | `N431X_GS1DATABAR_EXPANDED`
    `static java.lang.String` | `N431X_GS1DATABAR_LIMITED`
    `static java.lang.String` | `N431X_INFOMAIL`
    `static java.lang.String` | `N431X_INTELLIGENTMAIL`
    `static java.lang.String` | `N431X_INTERLEAVED2OF5`
    `static java.lang.String` | `N431X_JAPANESE_POST`
    `static java.lang.String` | `N431X_KIX`
    `static java.lang.String` | `N431X_KOREA_POST`
    `static java.lang.String` | `N431X_MATRIX1OF5`
    `static java.lang.String` | `N431X_MSI`
    `static java.lang.String` | `N431X_NEC2OF5`
    `static java.lang.String` | `N431X_PLANET_CODE`
    `static java.lang.String` | `N431X_POSTAL4I`
    `static java.lang.String` | `N431X_POSTNET`
    `static java.lang.String` | `N431X_STRAIGHT2OF5`
    `static java.lang.String` | `N431X_TELEPHEN`
    `static java.lang.String` | `N431X_UPCA`
    `static java.lang.String` | `N431X_UPCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HwLabelN431x()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### N431X_CODABAR

          public static final java.lang.String N431X_CODABAR

      See Also:
        Constant Field Values

    - #### N431X_CODE11

          public static final java.lang.String N431X_CODE11

      See Also:
        Constant Field Values

    - #### N431X_CODE128

          public static final java.lang.String N431X_CODE128

      See Also:
        Constant Field Values

    - #### N431X_CODE32

          public static final java.lang.String N431X_CODE32

      See Also:
        Constant Field Values

    - #### N431X_CODE39

          public static final java.lang.String N431X_CODE39

      See Also:
        Constant Field Values

    - #### N431X_CODE93

          public static final java.lang.String N431X_CODE93

      See Also:
        Constant Field Values

    - #### N431X_EAN13

          public static final java.lang.String N431X_EAN13

      See Also:
        Constant Field Values

    - #### N431X_EAN8

          public static final java.lang.String N431X_EAN8

      See Also:
        Constant Field Values

    - #### N431X_GS1DATABAR

          public static final java.lang.String N431X_GS1DATABAR

      See Also:
        Constant Field Values

    - #### N431X_GS1DATABAR_LIMITED

          public static final java.lang.String N431X_GS1DATABAR_LIMITED

      See Also:
        Constant Field Values

    - #### N431X_GS1DATABAR_EXPANDED

          public static final java.lang.String N431X_GS1DATABAR_EXPANDED

      See Also:
        Constant Field Values

    - #### N431X_GS1128

          public static final java.lang.String N431X_GS1128

      See Also:
        Constant Field Values

    - #### N431X_CHINAPOST

          public static final java.lang.String N431X_CHINAPOST

      See Also:
        Constant Field Values

    - #### N431X_INTERLEAVED2OF5

          public static final java.lang.String N431X_INTERLEAVED2OF5

      See Also:
        Constant Field Values

    - #### N431X_MATRIX1OF5

          public static final java.lang.String N431X_MATRIX1OF5

      See Also:
        Constant Field Values

    - #### N431X_NEC2OF5

          public static final java.lang.String N431X_NEC2OF5

      See Also:
        Constant Field Values

    - #### N431X_STRAIGHT2OF5

          public static final java.lang.String N431X_STRAIGHT2OF5

      See Also:
        Constant Field Values

    - #### N431X_MSI

          public static final java.lang.String N431X_MSI

      See Also:
        Constant Field Values

    - #### N431X_TELEPHEN

          public static final java.lang.String N431X_TELEPHEN

      See Also:
        Constant Field Values

    - #### N431X_UPCA

          public static final java.lang.String N431X_UPCA

      See Also:
        Constant Field Values

    - #### N431X_UPCE

          public static final java.lang.String N431X_UPCE

      See Also:
        Constant Field Values

    - #### N431X_AUSTRALIAN_POST

          public static final java.lang.String N431X_AUSTRALIAN_POST

      See Also:
        Constant Field Values

    - #### N431X_BRITISH_POST

          public static final java.lang.String N431X_BRITISH_POST

      See Also:
        Constant Field Values

    - #### N431X_CANADIAN_POST

          public static final java.lang.String N431X_CANADIAN_POST

      See Also:
        Constant Field Values

    - #### N431X_CHINA_POST

          public static final java.lang.String N431X_CHINA_POST

      See Also:
        Constant Field Values

    - #### N431X_INFOMAIL

          public static final java.lang.String N431X_INFOMAIL

      See Also:
        Constant Field Values

    - #### N431X_INTELLIGENTMAIL

          public static final java.lang.String N431X_INTELLIGENTMAIL

      See Also:
        Constant Field Values

    - #### N431X_JAPANESE_POST

          public static final java.lang.String N431X_JAPANESE_POST

      See Also:
        Constant Field Values

    - #### N431X_KIX

          public static final java.lang.String N431X_KIX

      See Also:
        Constant Field Values

    - #### N431X_KOREA_POST

          public static final java.lang.String N431X_KOREA_POST

      See Also:
        Constant Field Values

    - #### N431X_PLANET_CODE

          public static final java.lang.String N431X_PLANET_CODE

      See Also:
        Constant Field Values

    - #### N431X_POSTAL4I

          public static final java.lang.String N431X_POSTAL4I

      See Also:
        Constant Field Values

    - #### N431X_POSTNET

          public static final java.lang.String N431X_POSTNET

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HwLabelN431x

          public HwLabelN431x()